libvisio::VSDStylesCollector Class Reference documentation

Public Member Functions | Private Member Functions | Private Attributes | List of all members
libvisio::VSDStylesCollector Class Reference

`#include <VSDStylesCollector.h>`

Inheritance diagram for libvisio::VSDStylesCollector:

## Public Member Functions
| VSDStylesCollector (std::vector< std::map< unsigned, XForm > > &groupXFormsSequence, std::vector< std::map< unsigned, unsigned > > &groupMembershipsSequence, std::vector< std::list< unsigned > > &documentPageShapeOrders)
virtual | ~VSDStylesCollector ()
void | collectEllipticalArcTo (unsigned id, unsigned level, double x3, double y3, double x2, double y2, double angle, double ecc)
void | collectForeignData (unsigned level, const librevenge::RVNGBinaryData &binaryData)
void | collectOLEList (unsigned id, unsigned level)
void | collectOLEData (unsigned id, unsigned level, const librevenge::RVNGBinaryData &oleData)
void | collectEllipse (unsigned id, unsigned level, double cx, double cy, double xleft, double yleft, double xtop, double ytop)
void | collectLine (unsigned level, const boost::optional< double > &strokeWidth, const boost::optional< Colour > &c, const boost::optional< unsigned char > &linePattern, const boost::optional< unsigned char > &startMarker, const boost::optional< unsigned char > &endMarker, const boost::optional< unsigned char > &lineCap, const boost::optional< double > &rounding)
void | collectFillAndShadow (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc, const boost::optional< double > &shadowOffsetX, const boost::optional< double > &shadowOffsetY)
void | collectFillAndShadow (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc)
void | collectThemeReference (unsigned level, const boost::optional< long > &lineColour, const boost::optional< long > &fillColour, const boost::optional< long > &shadowColour, const boost::optional< long > &fontColour)
void | collectGeometry (unsigned id, unsigned level, bool noFill, bool noLine, bool noShow)
void | collectMoveTo (unsigned id, unsigned level, double x, double y)
void | collectLineTo (unsigned id, unsigned level, double x, double y)
void | collectArcTo (unsigned id, unsigned level, double x2, double y2, double bow)
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, unsigned char xType, unsigned char yType, unsigned degree, const std::vector< std::pair< double, double > > &ctrlPnts, const std::vector< double > &kntVec, const std::vector< double > &weights)
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, unsigned dataID)
void | collectNURBSTo (unsigned id, unsigned level, double x2, double y2, double knot, double knotPrev, double weight, double weightPrev, const NURBSData &data)
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned char xType, unsigned char yType, const std::vector< std::pair< double, double > > &points)
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, unsigned dataID)
void | collectPolylineTo (unsigned id, unsigned level, double x, double y, const PolylineData &data)
void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, unsigned degree, double lastKnot, std::vector< std::pair< double, double > > controlPoints, std::vector< double > knotVector, std::vector< double > weights)
void | collectShapeData (unsigned id, unsigned level, unsigned char xType, unsigned char yType, std::vector< std::pair< double, double > > points)
void | collectXFormData (unsigned level, const XForm &xform)
void | collectTxtXForm (unsigned level, const XForm &txtxform)
void | collectShapesOrder (unsigned id, unsigned level, const std::vector< unsigned > &shapeIds)
void | collectForeignDataType (unsigned level, unsigned foreignType, unsigned foreignFormat, double offsetX, double offsetY, double width, double height)
void | collectPageProps (unsigned id, unsigned level, double pageWidth, double pageHeight, double shadowOffsetX, double shadowOffsetY, double scale)
void | collectPage (unsigned id, unsigned level, unsigned backgroundPageID, bool isBackgroundPage, const VSDName &pageName)
void | collectShape (unsigned id, unsigned level, unsigned parent, unsigned masterPage, unsigned masterShape, unsigned lineStyle, unsigned fillStyle, unsigned textStyle)
void | collectSplineStart (unsigned id, unsigned level, double x, double y, double secondKnot, double firstKnot, double lastKnot, unsigned degree)
void | collectSplineKnot (unsigned id, unsigned level, double x, double y, double knot)
void | collectSplineEnd ()
void | collectInfiniteLine (unsigned id, unsigned level, double x1, double y1, double x2, double y2)
void | collectRelCubBezTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d)
void | collectRelEllipticalArcTo (unsigned id, unsigned level, double x, double y, double a, double b, double c, double d)
void | collectRelLineTo (unsigned id, unsigned level, double x, double y)
void | collectRelMoveTo (unsigned id, unsigned level, double x, double y)
void | collectRelQuadBezTo (unsigned id, unsigned level, double x, double y, double a, double b)
void | collectUnhandledChunk (unsigned id, unsigned level)
void | collectText (unsigned level, const librevenge::RVNGBinaryData &textStream, TextFormat format)
void | collectCharIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript)
void | collectDefaultCharStyle (unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript)
void | collectParaIX (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags)
void | collectDefaultParaStyle (unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags)
void | collectTextBlock (unsigned level, const boost::optional< double > &leftMargin, const boost::optional< double > &rightMargin, const boost::optional< double > &topMargin, const boost::optional< double > &bottomMargin, const boost::optional< unsigned char > &verticalAlign, const boost::optional< bool > &isBgFilled, const boost::optional< Colour > &bgColour, const boost::optional< double > &defaultTabStop, const boost::optional< unsigned char > &textDirection)
void | collectNameList (unsigned id, unsigned level)
void | collectName (unsigned id, unsigned level, const librevenge::RVNGBinaryData &name, TextFormat format)
void | collectPageSheet (unsigned id, unsigned level)
void | collectMisc (unsigned level, const VSDMisc &misc)
void | collectLayer (unsigned id, unsigned level, const VSDLayer &layer)
void | collectLayerMem (unsigned level, const VSDName &layerMem)
void | collectTabsDataList (unsigned level, const std::map< unsigned, VSDTabSet > &tabSets)
void | collectStyleSheet (unsigned id, unsigned level, unsigned parentLineStyle, unsigned parentFillStyle, unsigned parentTextStyle)
void | collectLineStyle (unsigned level, const boost::optional< double > &strokeWidth, const boost::optional< Colour > &c, const boost::optional< unsigned char > &linePattern, const boost::optional< unsigned char > &startMarker, const boost::optional< unsigned char > &endMarker, const boost::optional< unsigned char > &lineCap, const boost::optional< double > &rounding)
void | collectFillStyle (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc, const boost::optional< double > &shadowOffsetX, const boost::optional< double > &shadowOffsetY)
void | collectFillStyle (unsigned level, const boost::optional< Colour > &colourFG, const boost::optional< Colour > &colourBG, const boost::optional< unsigned char > &fillPattern, const boost::optional< double > &fillFGTransparency, const boost::optional< double > &fillBGTransparency, const boost::optional< unsigned char > &shadowPattern, const boost::optional< Colour > &shfgc)
void | collectCharIXStyle (unsigned id, unsigned level, unsigned charCount, const boost::optional< VSDName > &font, const boost::optional< Colour > &fontColour, const boost::optional< double > &fontSize, const boost::optional< bool > &bold, const boost::optional< bool > &italic, const boost::optional< bool > &underline, const boost::optional< bool > &doubleunderline, const boost::optional< bool > &strikeout, const boost::optional< bool > &doublestrikeout, const boost::optional< bool > &allcaps, const boost::optional< bool > &initcaps, const boost::optional< bool > &smallcaps, const boost::optional< bool > &superscript, const boost::optional< bool > &subscript)
void | collectParaIXStyle (unsigned id, unsigned level, unsigned charCount, const boost::optional< double > &indFirst, const boost::optional< double > &indLeft, const boost::optional< double > &indRight, const boost::optional< double > &spLine, const boost::optional< double > &spBefore, const boost::optional< double > &spAfter, const boost::optional< unsigned char > &align, const boost::optional< unsigned char > &bullet, const boost::optional< VSDName > &bulletStr, const boost::optional< VSDName > &bulletFont, const boost::optional< double > &bulletFontSize, const boost::optional< double > &textPosAfterBullet, const boost::optional< unsigned > &flags)
void | collectTextBlockStyle (unsigned level, const boost::optional< double > &leftMargin, const boost::optional< double > &rightMargin, const boost::optional< double > &topMargin, const boost::optional< double > &bottomMargin, const boost::optional< unsigned char > &verticalAlign, const boost::optional< bool > &isBgFilled, const boost::optional< Colour > &bgColour, const boost::optional< double > &defaultTabStop, const boost::optional< unsigned char > &textDirection)
void | collectStyleThemeReference (unsigned level, const boost::optional< long > &lineColour, const boost::optional< long > &fillColour, const boost::optional< long > &shadowColour, const boost::optional< long > &fontColour)
void | collectFieldList (unsigned id, unsigned level)
void | collectTextField (unsigned id, unsigned level, int nameId, int formatStringId)
void | collectNumericField (unsigned id, unsigned level, unsigned short format, double number, int formatStringId)
virtual void | collectMetaData (const librevenge::RVNGPropertyList &)
void | startPage (unsigned pageID)
void | endPage ()
void | endPages ()
const VSDStyles & | getStyleSheets () const
Public Member Functions inherited from libvisio::VSDCollector
| VSDCollector ()
virtual | ~VSDCollector ()

## Private Member Functions
| VSDStylesCollector (const VSDStylesCollector &)
VSDStylesCollector & | operator= (const VSDStylesCollector &)
void | _handleLevelChange (unsigned level)
void | _flushShapeList ()

## Private Attributes
unsigned | m_currentLevel
bool | m_isShapeStarted
double | m_shadowOffsetX
double | m_shadowOffsetY
unsigned | m_currentShapeId
std::map< unsigned, XForm > | m_groupXForms
std::map< unsigned, unsigned > | m_groupMemberships
std::vector< std::map< unsigned, XForm > > & | m_groupXFormsSequence
std::vector< std::map< unsigned, unsigned > > & | m_groupMembershipsSequence
std::list< unsigned > | m_pageShapeOrder
std::vector< std::list< unsigned > > & | m_documentPageShapeOrders
std::map< unsigned, std::list< unsigned > > | m_groupShapeOrder
std::list< unsigned > | m_shapeList
unsigned | m_currentStyleSheet
VSDStyles | m_styles
unsigned | m_currentShapeLevel

## Constructor & Destructor Documentation

## § VSDStylesCollector() [1/2]

libvisio::VSDStylesCollector::VSDStylesCollector | ( | std::vector< std::map< unsigned, XForm > > & | groupXFormsSequence,
|  | std::vector< std::map< unsigned, unsigned > > & | groupMembershipsSequence,
|  | std::vector< std::list< unsigned > > & | documentPageShapeOrders
| ) |  |

Referenced by getStyleSheets().

## § ~VSDStylesCollector()

virtual libvisio::VSDStylesCollector::~VSDStylesCollector | ( |  | ) |
| inlinevirtual

## § VSDStylesCollector() [2/2]

libvisio::VSDStylesCollector::VSDStylesCollector | ( | const VSDStylesCollector & |  | ) |
| private

## Member Function Documentation

## § _flushShapeList()

void libvisio::VSDStylesCollector::_flushShapeList | ( |  | ) |
| private

Referenced by collectShapesOrder(), and getStyleSheets().

## § _handleLevelChange()

void libvisio::VSDStylesCollector::_handleLevelChange | ( | unsigned | level | ) |
| private

Referenced by collectArcTo(), collectCharIX(), collectCharIXStyle(), collectEllipse(), collectEllipticalArcTo(), collectFieldList(), collectFillAndShadow(), collectFillStyle(), collectForeignData(), collectForeignDataType(), collectGeometry(), collectInfiniteLine(), collectLayer(), collectLayerMem(), collectLine(), collectLineStyle(), collectLineTo(), collectMisc(), collectMoveTo(), collectName(), collectNumericField(), collectNURBSTo(), collectOLEData(), collectPage(), collectPageProps(), collectPageSheet(), collectParaIX(), collectParaIXStyle(), collectPolylineTo(), collectRelCubBezTo(), collectRelEllipticalArcTo(), collectRelLineTo(), collectRelMoveTo(), collectRelQuadBezTo(), collectShape(), collectShapeData(), collectShapesOrder(), collectSplineKnot(), collectSplineStart(), collectStyleSheet(), collectStyleThemeReference(), collectTabsDataList(), collectText(), collectTextBlock(), collectTextBlockStyle(), collectTextField(), collectThemeReference(), collectTxtXForm(), collectUnhandledChunk(), collectXFormData(), endPage(), and getStyleSheets().

## § collectArcTo()

void libvisio::VSDStylesCollector::collectArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | bow
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectCharIX()

void libvisio::VSDStylesCollector::collectCharIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectCharIXStyle()

void libvisio::VSDStylesCollector::collectCharIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectDefaultCharStyle()

void libvisio::VSDStylesCollector::collectDefaultCharStyle | ( | unsigned | charCount,
|  | const boost::optional< VSDName > & | font,
|  | const boost::optional< Colour > & | fontColour,
|  | const boost::optional< double > & | fontSize,
|  | const boost::optional< bool > & | bold,
|  | const boost::optional< bool > & | italic,
|  | const boost::optional< bool > & | underline,
|  | const boost::optional< bool > & | doubleunderline,
|  | const boost::optional< bool > & | strikeout,
|  | const boost::optional< bool > & | doublestrikeout,
|  | const boost::optional< bool > & | allcaps,
|  | const boost::optional< bool > & | initcaps,
|  | const boost::optional< bool > & | smallcaps,
|  | const boost::optional< bool > & | superscript,
|  | const boost::optional< bool > & | subscript
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectDefaultParaStyle()

void libvisio::VSDStylesCollector::collectDefaultParaStyle | ( | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectEllipse()

void libvisio::VSDStylesCollector::collectEllipse | ( | unsigned | id,
|  | unsigned | level,
|  | double | cx,
|  | double | cy,
|  | double | xleft,
|  | double | yleft,
|  | double | xtop,
|  | double | ytop
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectEllipticalArcTo()

void libvisio::VSDStylesCollector::collectEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x3,
|  | double | y3,
|  | double | x2,
|  | double | y2,
|  | double | angle,
|  | double | ecc
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by ~VSDStylesCollector().

## § collectFieldList()

void libvisio::VSDStylesCollector::collectFieldList | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectFillAndShadow() [1/2]

void libvisio::VSDStylesCollector::collectFillAndShadow | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc,
|  | const boost::optional< double > & | shadowOffsetX,
|  | const boost::optional< double > & | shadowOffsetY
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectFillAndShadow() [2/2]

void libvisio::VSDStylesCollector::collectFillAndShadow | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc
| ) |  |
| virtual

Implements libvisio::VSDCollector.

## § collectFillStyle() [1/2]

void libvisio::VSDStylesCollector::collectFillStyle | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc,
|  | const boost::optional< double > & | shadowOffsetX,
|  | const boost::optional< double > & | shadowOffsetY
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectFillStyle() [2/2]

void libvisio::VSDStylesCollector::collectFillStyle | ( | unsigned | level,
|  | const boost::optional< Colour > & | colourFG,
|  | const boost::optional< Colour > & | colourBG,
|  | const boost::optional< unsigned char > & | fillPattern,
|  | const boost::optional< double > & | fillFGTransparency,
|  | const boost::optional< double > & | fillBGTransparency,
|  | const boost::optional< unsigned char > & | shadowPattern,
|  | const boost::optional< Colour > & | shfgc
| ) |  |
| virtual

Implements libvisio::VSDCollector.

## § collectForeignData()

void libvisio::VSDStylesCollector::collectForeignData | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | binaryData
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by ~VSDStylesCollector().

## § collectForeignDataType()

void libvisio::VSDStylesCollector::collectForeignDataType | ( | unsigned | level,
|  | unsigned | foreignType,
|  | unsigned | foreignFormat,
|  | double | offsetX,
|  | double | offsetY,
|  | double | width,
|  | double | height
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectGeometry()

void libvisio::VSDStylesCollector::collectGeometry | ( | unsigned | id,
|  | unsigned | level,
|  | bool | noFill,
|  | bool | noLine,
|  | bool | noShow
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectInfiniteLine()

void libvisio::VSDStylesCollector::collectInfiniteLine | ( | unsigned | id,
|  | unsigned | level,
|  | double | x1,
|  | double | y1,
|  | double | x2,
|  | double | y2
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectLayer()

void libvisio::VSDStylesCollector::collectLayer | ( | unsigned | id,
|  | unsigned | level,
|  | const VSDLayer & | layer
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectLayerMem()

void libvisio::VSDStylesCollector::collectLayerMem | ( | unsigned | level,
|  | const VSDName & | layerMem
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectLine()

void libvisio::VSDStylesCollector::collectLine | ( | unsigned | level,
|  | const boost::optional< double > & | strokeWidth,
|  | const boost::optional< Colour > & | c,
|  | const boost::optional< unsigned char > & | linePattern,
|  | const boost::optional< unsigned char > & | startMarker,
|  | const boost::optional< unsigned char > & | endMarker,
|  | const boost::optional< unsigned char > & | lineCap,
|  | const boost::optional< double > & | rounding
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectLineStyle()

void libvisio::VSDStylesCollector::collectLineStyle | ( | unsigned | level,
|  | const boost::optional< double > & | strokeWidth,
|  | const boost::optional< Colour > & | c,
|  | const boost::optional< unsigned char > & | linePattern,
|  | const boost::optional< unsigned char > & | startMarker,
|  | const boost::optional< unsigned char > & | endMarker,
|  | const boost::optional< unsigned char > & | lineCap,
|  | const boost::optional< double > & | rounding
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectLineTo()

void libvisio::VSDStylesCollector::collectLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectMetaData()

virtual void libvisio::VSDStylesCollector::collectMetaData | ( | const librevenge::RVNGPropertyList & |  | ) |
| inlinevirtual

Implements libvisio::VSDCollector.

## § collectMisc()

void libvisio::VSDStylesCollector::collectMisc | ( | unsigned | level,
|  | const VSDMisc & | misc
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectMoveTo()

void libvisio::VSDStylesCollector::collectMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectName()

void libvisio::VSDStylesCollector::collectName | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | name,
|  | TextFormat | format
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectNameList()

void libvisio::VSDStylesCollector::collectNameList | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inlinevirtual

Implements libvisio::VSDCollector.

## § collectNumericField()

void libvisio::VSDStylesCollector::collectNumericField | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned short | format,
|  | double | number,
|  | int | formatStringId
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectNURBSTo() [1/3]

void libvisio::VSDStylesCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | const std::vector< std::pair< double, double > > & | ctrlPnts,
|  | const std::vector< double > & | kntVec,
|  | const std::vector< double > & | weights
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectNURBSTo() [2/3]

void libvisio::VSDStylesCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | unsigned | dataID
| ) |  |
| virtual

Implements libvisio::VSDCollector.

## § collectNURBSTo() [3/3]

void libvisio::VSDStylesCollector::collectNURBSTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x2,
|  | double | y2,
|  | double | knot,
|  | double | knotPrev,
|  | double | weight,
|  | double | weightPrev,
|  | const NURBSData & | data
| ) |  |
| virtual

Implements libvisio::VSDCollector.

## § collectOLEData()

void libvisio::VSDStylesCollector::collectOLEData | ( | unsigned | id,
|  | unsigned | level,
|  | const librevenge::RVNGBinaryData & | oleData
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectOLEList()

void libvisio::VSDStylesCollector::collectOLEList | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| inlinevirtual

Implements libvisio::VSDCollector.

## § collectPage()

void libvisio::VSDStylesCollector::collectPage | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | backgroundPageID,
|  | bool | isBackgroundPage,
|  | const VSDName & | pageName
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectPageProps()

void libvisio::VSDStylesCollector::collectPageProps | ( | unsigned | id,
|  | unsigned | level,
|  | double | pageWidth,
|  | double | pageHeight,
|  | double | shadowOffsetX,
|  | double | shadowOffsetY,
|  | double | scale
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectPageSheet()

void libvisio::VSDStylesCollector::collectPageSheet | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectParaIX()

void libvisio::VSDStylesCollector::collectParaIX | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectParaIXStyle()

void libvisio::VSDStylesCollector::collectParaIXStyle | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | charCount,
|  | const boost::optional< double > & | indFirst,
|  | const boost::optional< double > & | indLeft,
|  | const boost::optional< double > & | indRight,
|  | const boost::optional< double > & | spLine,
|  | const boost::optional< double > & | spBefore,
|  | const boost::optional< double > & | spAfter,
|  | const boost::optional< unsigned char > & | align,
|  | const boost::optional< unsigned char > & | bullet,
|  | const boost::optional< VSDName > & | bulletStr,
|  | const boost::optional< VSDName > & | bulletFont,
|  | const boost::optional< double > & | bulletFontSize,
|  | const boost::optional< double > & | textPosAfterBullet,
|  | const boost::optional< unsigned > & | flags
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectPolylineTo() [1/3]

void libvisio::VSDStylesCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | const std::vector< std::pair< double, double > > & | points
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectPolylineTo() [2/3]

void libvisio::VSDStylesCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | unsigned | dataID
| ) |  |
| virtual

Implements libvisio::VSDCollector.

## § collectPolylineTo() [3/3]

void libvisio::VSDStylesCollector::collectPolylineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | const PolylineData & | data
| ) |  |
| virtual

Implements libvisio::VSDCollector.

## § collectRelCubBezTo()

void libvisio::VSDStylesCollector::collectRelCubBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectRelEllipticalArcTo()

void libvisio::VSDStylesCollector::collectRelEllipticalArcTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b,
|  | double | c,
|  | double | d
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectRelLineTo()

void libvisio::VSDStylesCollector::collectRelLineTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectRelMoveTo()

void libvisio::VSDStylesCollector::collectRelMoveTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectRelQuadBezTo()

void libvisio::VSDStylesCollector::collectRelQuadBezTo | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | a,
|  | double | b
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectShape()

void libvisio::VSDStylesCollector::collectShape | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parent,
|  | unsigned | masterPage,
|  | unsigned | masterShape,
|  | unsigned | lineStyle,
|  | unsigned | fillStyle,
|  | unsigned | textStyle
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectShapeData() [1/2]

void libvisio::VSDStylesCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | unsigned | degree,
|  | double | lastKnot,
|  | std::vector< std::pair< double, double > > | controlPoints,
|  | std::vector< double > | knotVector,
|  | std::vector< double > | weights
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectShapeData() [2/2]

void libvisio::VSDStylesCollector::collectShapeData | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned char | xType,
|  | unsigned char | yType,
|  | std::vector< std::pair< double, double > > | points
| ) |  |
| virtual

Implements libvisio::VSDCollector.

## § collectShapesOrder()

void libvisio::VSDStylesCollector::collectShapesOrder | ( | unsigned | id,
|  | unsigned | level,
|  | const std::vector< unsigned > & | shapeIds
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectSplineEnd()

void libvisio::VSDStylesCollector::collectSplineEnd | ( |  | ) |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectSplineKnot()

void libvisio::VSDStylesCollector::collectSplineKnot | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | knot
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectSplineStart()

void libvisio::VSDStylesCollector::collectSplineStart | ( | unsigned | id,
|  | unsigned | level,
|  | double | x,
|  | double | y,
|  | double | secondKnot,
|  | double | firstKnot,
|  | double | lastKnot,
|  | unsigned | degree
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectStyleSheet()

void libvisio::VSDStylesCollector::collectStyleSheet | ( | unsigned | id,
|  | unsigned | level,
|  | unsigned | parentLineStyle,
|  | unsigned | parentFillStyle,
|  | unsigned | parentTextStyle
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectStyleThemeReference()

void libvisio::VSDStylesCollector::collectStyleThemeReference | ( | unsigned | level,
|  | const boost::optional< long > & | lineColour,
|  | const boost::optional< long > & | fillColour,
|  | const boost::optional< long > & | shadowColour,
|  | const boost::optional< long > & | fontColour
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectTabsDataList()

void libvisio::VSDStylesCollector::collectTabsDataList | ( | unsigned | level,
|  | const std::map< unsigned, VSDTabSet > & | tabSets
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectText()

void libvisio::VSDStylesCollector::collectText | ( | unsigned | level,
|  | const librevenge::RVNGBinaryData & | textStream,
|  | TextFormat | format
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectTextBlock()

void libvisio::VSDStylesCollector::collectTextBlock | ( | unsigned | level,
|  | const boost::optional< double > & | leftMargin,
|  | const boost::optional< double > & | rightMargin,
|  | const boost::optional< double > & | topMargin,
|  | const boost::optional< double > & | bottomMargin,
|  | const boost::optional< unsigned char > & | verticalAlign,
|  | const boost::optional< bool > & | isBgFilled,
|  | const boost::optional< Colour > & | bgColour,
|  | const boost::optional< double > & | defaultTabStop,
|  | const boost::optional< unsigned char > & | textDirection
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectTextBlockStyle()

void libvisio::VSDStylesCollector::collectTextBlockStyle | ( | unsigned | level,
|  | const boost::optional< double > & | leftMargin,
|  | const boost::optional< double > & | rightMargin,
|  | const boost::optional< double > & | topMargin,
|  | const boost::optional< double > & | bottomMargin,
|  | const boost::optional< unsigned char > & | verticalAlign,
|  | const boost::optional< bool > & | isBgFilled,
|  | const boost::optional< Colour > & | bgColour,
|  | const boost::optional< double > & | defaultTabStop,
|  | const boost::optional< unsigned char > & | textDirection
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectTextField()

void libvisio::VSDStylesCollector::collectTextField | ( | unsigned | id,
|  | unsigned | level,
|  | int | nameId,
|  | int | formatStringId
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList().

## § collectThemeReference()

void libvisio::VSDStylesCollector::collectThemeReference | ( | unsigned | level,
|  | const boost::optional< long > & | lineColour,
|  | const boost::optional< long > & | fillColour,
|  | const boost::optional< long > & | shadowColour,
|  | const boost::optional< long > & | fontColour
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectTxtXForm()

void libvisio::VSDStylesCollector::collectTxtXForm | ( | unsigned | level,
|  | const XForm & | txtxform
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § collectUnhandledChunk()

void libvisio::VSDStylesCollector::collectUnhandledChunk | ( | unsigned | id,
|  | unsigned | level
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectNameList(), and collectOLEList().

## § collectXFormData()

void libvisio::VSDStylesCollector::collectXFormData | ( | unsigned | level,
|  | const XForm & | xform
| ) |  |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectOLEList().

## § endPage()

void libvisio::VSDStylesCollector::endPage | ( |  | ) |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectMetaData().

## § endPages()

void libvisio::VSDStylesCollector::endPages | ( |  | ) |
| inlinevirtual

Implements libvisio::VSDCollector.

## § getStyleSheets()

const VSDStyles& libvisio::VSDStylesCollector::getStyleSheets | ( |  | ) | const
| inline

Referenced by libvisio::VDXParser::parseMain(), libvisio::VSDXParser::parseMain(), and libvisio::VSDParser::parseMain().

## § operator=()

VSDStylesCollector& libvisio::VSDStylesCollector::operator= | ( | const VSDStylesCollector & |  | ) |
| private

Referenced by getStyleSheets().

## § startPage()

void libvisio::VSDStylesCollector::startPage | ( | unsigned | pageID | ) |
| virtual

Implements libvisio::VSDCollector.

Referenced by collectMetaData().

## Member Data Documentation

## § m_currentLevel

unsigned libvisio::VSDStylesCollector::m_currentLevel
| private

Referenced by _handleLevelChange().

## § m_currentShapeId

unsigned libvisio::VSDStylesCollector::m_currentShapeId
| private

Referenced by _flushShapeList(), collectShape(), and collectXFormData().

## § m_currentShapeLevel

unsigned libvisio::VSDStylesCollector::m_currentShapeLevel
| private

Referenced by _handleLevelChange(), collectPageSheet(), and collectShape().

## § m_currentStyleSheet

unsigned libvisio::VSDStylesCollector::m_currentStyleSheet
| private

## § m_documentPageShapeOrders

std::vector<std::list<unsigned> >& libvisio::VSDStylesCollector::m_documentPageShapeOrders
| private

Referenced by endPage(), and VSDStylesCollector().

## § m_groupMemberships

std::map<unsigned, unsigned> libvisio::VSDStylesCollector::m_groupMemberships
| private

Referenced by collectShape(), endPage(), and startPage().

## § m_groupMembershipsSequence

std::vector<std::map<unsigned, unsigned> >& libvisio::VSDStylesCollector::m_groupMembershipsSequence
| private

Referenced by endPage(), and VSDStylesCollector().

## § m_groupShapeOrder

std::map<unsigned, std::list<unsigned> > libvisio::VSDStylesCollector::m_groupShapeOrder
| private

Referenced by _flushShapeList(), endPage(), and startPage().

## § m_groupXForms

std::map<unsigned, XForm> libvisio::VSDStylesCollector::m_groupXForms
| private

Referenced by collectXFormData(), endPage(), and startPage().

## § m_groupXFormsSequence

std::vector<std::map<unsigned, XForm> >& libvisio::VSDStylesCollector::m_groupXFormsSequence
| private

Referenced by endPage(), and VSDStylesCollector().

## § m_isShapeStarted

bool libvisio::VSDStylesCollector::m_isShapeStarted
| private

Referenced by _flushShapeList(), _handleLevelChange(), collectShape(), and collectXFormData().

## § m_pageShapeOrder

std::list<unsigned> libvisio::VSDStylesCollector::m_pageShapeOrder
| private

Referenced by _flushShapeList(), endPage(), and startPage().

## § m_shadowOffsetX

double libvisio::VSDStylesCollector::m_shadowOffsetX
| private

## § m_shadowOffsetY

double libvisio::VSDStylesCollector::m_shadowOffsetY
| private

## § m_shapeList

std::list<unsigned> libvisio::VSDStylesCollector::m_shapeList
| private

Referenced by _flushShapeList(), and collectShapesOrder().

## § m_styles

VSDStyles libvisio::VSDStylesCollector::m_styles
| private

Referenced by getStyleSheets().

The documentation for this class was generated from the following files:

- VSDStylesCollector.h
- VSDStylesCollector.cpp